<dx-form [colCount]="1" [formData]='taxData' [showValidationSummary]="false" validationGroup="taxValidation"
    labelLocation="left">
    <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
        <dxi-item [label]="{text: 'Nr transport'}" dataField="t_no" editorType="dxTextBox" [editorOptions]="{ }">
        </dxi-item>
        <dxi-item [label]="{text: 'Data'}" dataField="t_sendDate" editorType="dxDateBox"
            [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: '100%' }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
    </dxi-item>
    <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
        <dxi-item [label]="{text: 'Entitate'}" dataField="t_entityId" editorType="dxSelectBox"
            [editorOptions]="{dataSource: dspEntities, valueExpr: 'id', displayExpr: 'name', onValueChanged: onEntityChanged, showClearButton: true, searchEnabled: true }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'Punct de lucru'}" dataField="t_workCenterId" editorType="dxSelectBox"
            [editorOptions]="{ dataSource: dspWorkCenter, valueExpr: 'id', displayExpr: 'name', onValueChanged: onWorkCenterChanged, showClearButton: true, searchEnabled: true }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
    </dxi-item>
    <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
        <dxi-item [label]="{text: 'Valoare'}" dataField="t_value" editorType="dxNumberBox" [editorOptions]="{ }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'Dată efectuare plată'}" dataField="t_payDate" editorType="dxDateBox"
            [editorOptions]="{displayFormat: 'dd.MM.yyyy', width: '100%' }">
        </dxi-item>
    </dxi-item>
    <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
        <dxi-item [label]="{text: 'Agenție'}" dataField="t_agencyId" editorType="dxSelectBox" [editorOptions]="{
                dataSource: dsAgency, valueExpr: 'a_id', displayExpr: 'a_name', showClearButton: true, searchEnabled: true 
            }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [label]="{text: 'Asociată unui transport'}" dataField="t_perTransport" editorType="dxCheckBox"
            [editorOptions]="{}">
        </dxi-item>
    </dxi-item>
    <dxi-item itemType="group" [colSpan]="2" [colCount]='2' [visible]='taxData.t_perTransport'>
        <dxi-item [label]="{text: 'Transport'}" dataField="t_transportId" editorType="dxSelectBox"
            [editorOptions]="{ dataSource: dsTransportFinish, valueExpr: 't_id', displayExpr: customTrDisplayExpr, showClearButton: true, searchEnabled: true}">
        </dxi-item>
        <dxi-item [label]="{text: 'Transport inclus'}" dataField="t_costIncluded" editorType="dxCheckBox"
            [editorOptions]="{ }">
        </dxi-item>
    </dxi-item>
    <dxi-item itemType="group" [colSpan]="1" [colCount]='1'>
        <dxi-item [label]="{text: 'Observații'}" dataField="t_observation" editorType="dxTextArea"
            [editorOptions]="{ }">
        </dxi-item>
    </dxi-item>
</dx-form>